Cancel a 2FA verification
curl --request PATCH \
--url https://api.wavix.com/v1/two-fa/verification/{session_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/two-fa/verification/{session_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/two-fa/verification/{session_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"message": "Request validation errors: Field \"code\" is required"
}{
"success": false,
"message": "The service is not provisioned for your account."
}{
"success": false,
"message": "Two FA session is not canceled"
}2FA
Cancel a 2FA verification
Cancels the 2FA verification identified by session_id. No further codes are sent, and previously sent codes can no longer be validated. A new verification is required to send another code.
PATCH
/
v1
/
two-fa
/
verification
/
{session_id}
/
cancel
Cancel a 2FA verification
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Path Parameters
The unique ID of the 2FA verification session.
Example:
"2953d4308f2e11ecb75fcdafd6d2d687"
Response
Returns a success confirmation. The verification is canceled.
Indicates whether the request was successful.
Example:
true
Was this page helpful?